<?php

namespace Tests\Test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TaxisTransformer extends TransformerAbstract
{
    public function transform(\Tests\Test\Models\Taxis $taxis)
    {
        return [
            'id'                => $taxis->getRouteKey(),
            'key'               => [
                'public'    => $taxis->getPublicKey(),
                'route'     => $taxis->getRouteKey(),
            ], 
            'numero'            => $taxis->numero,
            'url'               => [
                'public'    => trans_url('test/'.$taxis->getPublicKey()),
                'user'      => guard_url('test/taxis/'.$taxis->getRouteKey()),
            ], 
            'status'            => trans('app.'.$taxis->status),
            'created_at'        => format_date($taxis->created_at),
            'updated_at'        => format_date($taxis->updated_at),
        ];
    }
}